> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出护栏策略

> 列出调用方可见的所有护栏策略。

返回调用方本人创建的所有策略,以及当前活跃组织内所有团队范围的策略。每个策略都包含一组带判定结果的输入/输出规则。

## 身份验证

需要携带具有 `billing` API 密钥作用域的 Bearer 令牌。参见[身份验证](/api-reference/authentication)。

## 请求示例

<CodeGroup>
  ```bash curl theme={null}
  curl https://www.hitheo.ai/api/v1/guardrail-policies \
    -H "Authorization: Bearer $THEO_API_KEY"
  ```

  ```typescript SDK theme={null}
  const policies = await theo.guardrails.policies.list();
  ```
</CodeGroup>

## 响应

<ResponseField name="guardrail_policies" type="object[]">
  策略对象数组。每个策略都包含 `id`、`name`、`description`、`enabled`、`is_default`、`org_id`,以及完整的 `rules` 数组。
</ResponseField>

### 响应示例

```json theme={null}
{
  "guardrail_policies": [
    {
      "id": "1f4f2c1a-22ce-4b07-9c0b-9c4f4b9b1d2e",
      "name": "Compliance-strict",
      "description": "PII redaction + jailbreak deny.",
      "user_id": "user_abc",
      "org_id": null,
      "enabled": true,
      "is_default": false,
      "rules": [
        {
          "guardrail_id": "pii_redactor",
          "phase": "input",
          "verdict": "redact",
          "config": {},
          "enabled": true
        },
        {
          "guardrail_id": "prompt_injection",
          "phase": "input",
          "verdict": "deny",
          "config": {},
          "enabled": true
        }
      ]
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.